Get a page of hazard classes

​

Query Parameters

  • The page index of the search.

  • The number of hazard classes to be returned in the response. Returns pages of up to 500 records.

  • The dangerous good standard to filter hazard classes by.

    values
    NewZealand_Ghs7 = 1Australia_Ghs7 = 2NewZealand_Dg2005 = 3Australia_AdgCode = 4
  • The search text to filter hazard classes by.

Responses

  • application/json
Request Example for get/v1/dg-hazard-classes
curl 'https://api.consignlyhq.com/v1/dg-hazard-classes?PageIndex=1&PageSize=25&DgStandard=25&SearchText=Flamable'
{
  "index": 1,
  "total": 1,
  "dgHazardClasses": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": null,
      "dgStandard": "enum (NewZealand_Ghs7 = 1, Australia_Ghs7 = 2, NewZealand_Dg2005 = 3, Australia_AdgCode = 4)"
    }
  ]
}